﻿/**
 * @class ActivityCollection
 */
define(['underscore', 'collections/BaseCollection', 'models/activities/ActivityModel'], function(_, BaseCollection, ActivityModel) {

    return BaseCollection.extend({
        model: ActivityModel,

        dateTimeFrom: null,

        parse: function (response, options) {
            var responseObj = response.result ? response.result : response;
            this.dateTimeFrom = response.dateTimeFrom;
            return Backbone.Collection.prototype.parse.call(this, responseObj, options);
        }

    });

});
