﻿define([
    'underscore',
    'jquery',
    'settings',
    'utils/CachableRefData',
    'pubSub'
], function(
    _,
    $,
    settings,
    CachableRefData,
    pubSub) {

    var structureCache = new CachableRefData(settings.restUrlBase + 'structure');
    pubSub.on('login:success', function () {
        structureCache.updateIfExpired();
    });
    structureCache.onUpdated = function() {
        pubSub.trigger('structure:updated');
    }
    return structureCache;

});