﻿/**
 * @deprecated
 */
define(['underscore', 'jquery'], function(_, $) {

    return {
        editInPlace: function($elements) {
            function setEditorValue($editor, type, value) {
                $editor.val(value);
            }
            function getEditorValue($editor, type) {
                return $editor.val();
            }
            $elements.each(function() {
                var $element = $(this);
                var type = $element.attr('editor-type');
                var boundTo = $element.attr('bound-to');
                type = type || 'text';
                var $editor;
                switch (type) {
                    case 'textarea':
                        $editor = $('<textarea></textarea>');
                        break;
                    default: // text
                        $editor = $('<input type="text"/>');
                }
                boundTo && $editor.attr('bound-to', boundTo);
                $editor.hide().insertAfter($element);
                $editor.keypress(function(evt) {
                    switch (evt.keyCode) {
                        case 13: // enter
                            $element.text(getEditorValue($editor, type));
                            $editor.hide();
                            $element.show();
                            break;
                        case 27: // esc
                            setEditorValue($editor, type, $element.text());
                            $editor.hide();
                            $element.show();
                            break;

                    }
                });
                $element.click(function(evt) {
                    $editor.show();
                    $element.hide();
                    evt.preventDefault();
                });

            });
        }
    };

});