﻿/**
 * @class GenericActivityCardView
 */
define([
    'underscore',
    'jquery',
    'views/BaseCardView',
    'text!views/activities/GenericActivityCardView_header.html',
    'text!views/activities/GenericActivityCardView_content.html',
    'utils/uiManager'
], function(_, $, BaseCardView, headerTemplate, contentTemplate, uiManager) {

    var GenericActivityCardView = BaseCardView.extend({

        headerTemplate: headerTemplate,
        contentTemplate: contentTemplate,

        initialize: function(options) {
            return BaseCardView.prototype.initialize.apply(this, arguments);
        }


    });

    uiManager.registerCardViewClass('activity', GenericActivityCardView);

    return GenericActivityCardView;

});