﻿define(['underscore'], function(_) {

    var supportedFileExtensions = {
        'doc':'tb-file-ico-doc',
        'docx': 'tb-file-ico-docx',
        'xls': 'tb-file-ico-xls',
        'xlsx': 'tb-file-ico-xlsx',
        'txt': 'tb-file-ico-txt',
        'ppt': 'tb-file-ico-ppt',
        'pdf': 'tb-file-ico-pdf',
        'zip': 'tb-file-ico-zip',
        'jpg': 'tb-file-ico-jpg',
        'png': 'tb-file-ico-png',
        'gif': 'tb-file-ico-gif',
        'mp3': 'tb-file-ico-mp3',
        'avi': 'tb-file-ico-avi',
        'xml': 'tb-file-ico-xml',
        'js': 'tb-file-ico-js'
    };

    return {
        cssClassByFileName: function(fileName) {
            if (!fileName) {
                return undefined;
            }
            var parts = fileName.split('.');
            var extension = parts[parts.length - 1].toLowerCase();
            return supportedFileExtensions[extension];
        }
    };

});