﻿define(['underscore'], function(_) {

    var supportedTools = ['tasks', 'calendar', 'activities', 'discussions'/*, 'files'*/];

    var toolIcons = {
        tasks: 'check',
        calendar: 'calendar',
        activities: 'rss',
        discussions: 'comments',
        files: 'folder-open'
    };

    return {
        isToolSupported: function(toolName) {
            return _.contains(supportedTools, toolName);
        },

        toolIcon: function(toolName) {
            var iconName = toolIcons[toolName];
            return iconName || '';
        }
    };

});