﻿define(['underscore', 'srv'], function(_, srv) {
    return {

        /**
         * @deprecated
         * @param user
         * @returns {string}
         */
        userName: function(user) {
            return user.firstName + ' ' + user.lastName;

        },

        userListRefDataLoader: function(refDataName) {
            var that = this;
            var url = srv.makeUrlWithLocationContext(this.locationContext());
            srv.fetch({
                url: url,
                success: function(data) {
                    that.onDataLoaded(refDataName, data);
                }
            });
        }
    };
});