﻿define(['views/BaseEntityCardView', 'utils/uiManager'], function (BaseEntityCardView, uiManager)
{
	var TodayAgendaCardView = BaseEntityCardView.extend({

		entityType: 'todayAgenda',

		emptyCard: {
			caption: 'Задачи и события на сегодня',
			icon: 'calendar'
		},
	});

	uiManager.registerCardViewClass(TodayAgendaCardView.prototype.entityType, TodayAgendaCardView);

	return TodayAgendaCardView;
});