﻿/**
 * @class EmbeddableCommentActivatorView
 */
define([
    'underscore',
    'jquery',
    'views/BaseView',
    'text!views/common/EmbeddableCommentActivatorView.html'
], function(
    _,
    $,
    BaseView,
    template
    ) {

    return BaseView.extend({

        template: template,

        events: {
            'tap': 'onClicked'
        },

        initialize: function() {
            BaseView.prototype.initialize.apply(this, arguments);
        },

        render: function() {
            this.$el.addClass('tb-commentActivator');
            BaseView.prototype.render.apply(this, arguments);
        },

        onClicked: function() {
            this.options.onClicked && this.options.onClicked.call(this);
        }

});

});