﻿define([
    'underscore',
    'jquery',
    'views/BasePageView',
    'settings', 'log'
], function (_, $, BasePageView, settings, log)
{

    return BasePageView.extend({

    	contentTemplate: _.template('<p>Настройки разработки и сборки: </p><div class="tb-codeBlock"><%= this.renderableSettings() %></div><br>Log:<div><%= this.renderableLog() %></div>'),

        events: {
            'click .js-back': 'onBack'
        },

        renderableSettings: function() {
            return JSON.stringify(settings, null, ' ');
        },

        renderableLog: function ()
        {
        	var html = [];var mess = log._messages();
        	html.push('<ul class="ui-listView">');
        	_.each(mess, function (item)
        	{
        		html.push('<li style="font-weight: normal;font-size: 70%;">');
        		html.push(JSON.stringify(item, null, ' '));
        		html.push('</li>');
        	});
        	html.push('</ul>');
        	
        	return html.join('');
        },
    });

});