﻿define(['underscore', 'jquery', 'storage'], function(_, $, storage) {


    return {

        // this must be specified in main class
        filterPopupClass: null,

        filters: null,

        restoreFilters: function() {
        	var filterStorageKey = this.filterPopupClass.prototype.getFilterKey(this.options);
            var filters = storage.get(filterStorageKey);
            if (filters) {
                this.filters = JSON.parse(filters)
            } else {
                filters = this.filterPopupClass.prototype.filterModelClass.prototype.defaults;
                storage.set(filterStorageKey, filters);
                this.filters = filters;
            }
        },

        applyFilters: function(filters) {
            this.filters = filters;
            this.update();
            if (this.lowerToolbar) {
                var $filterEl = this.lowerToolbar.getItemElement$('filter');
                _.any(this.filters) ? ($filterEl.addClass('tb-filtersActivator-active')) : ($filterEl.removeClass('tb-filtersActivator-active'));
            }

        }



    };

});