﻿define(['views/BaseEntityCardView', 'utils/uiManager'], function (BaseEntityCardView, uiManager)
{
	var NotificationCardView = BaseEntityCardView.extend({

		entityType: 'notification',

		emptyCard: {
			caption: 'Уведомления об активности',
			icon: 'bell'
		},
	});

	uiManager.registerCardViewClass(NotificationCardView.prototype.entityType, NotificationCardView);

	return NotificationCardView;
});