﻿define(['views/BaseEntityCardView', 'utils/uiManager'], function (BaseEntityCardView, uiManager)
{
	var ProfileCardView = BaseEntityCardView.extend({

		entityType: 'profile',

		emptyCard: {
			caption: 'Информация о текущем пользователе',
			icon: 'user'
		},
	});

	uiManager.registerCardViewClass(ProfileCardView.prototype.entityType, ProfileCardView);

	return ProfileCardView;
});